<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>Table</title>
	</head>
	<body>
		<div class="overflow-x-auto" th:fragment="table">
			<table class="w-full text-left text-sm text-on-surface-lower">
				<thead>
					<tr class="bg-primary/10 text-xs uppercase text-on-surface">
						<th class="w-px whitespace-nowrap px-3 py-4">#</th>
						<th class="px-3 py-4">Name</th>
						<th class="px-3 py-4">Username</th>
						<th class="px-3 py-4">email</th>
						<th class="px-3 py-4"><span class="sr-only">Actions</span></th>
					</tr>
				</thead>
				<tbody class="divide-y divide-surface-outline-lower">
					<tr class="bg-surface-container" th:each="data,row : ${userList}">
						<td class="p-3" th:text="${(row.index + 1) + (userList.number * userList.size)}">1</td>
						<td class="p-3" th:text="${data.name}">Dofir Fauzi</td>
						<td class="p-3" th:text="${data.username}">dofirfauzi</td>
						<td class="p-3" th:text="${data.email}">dofirfauzi@tazkia.ac.id</td>
						<td class="p-3">
							<div class="flex items-center justify-end gap-2">
								<a
									type="button"
									th:href="@{/user/create (id = ${data.id})}"
									class="text-sm font-medium text-primary hover:text-primary-higher hover:underline"
									>Edit
								</a>
								<form th:action="@{/user/delete (id = ${data.id})}" method="post">
									<button
										type="submit"
										class="text-sm font-medium text-error hover:text-error-higher hover:underline"
									>
										Delete
									</button>
								</form>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
			<!-- not found message -->
			<div th:if="${#lists.isEmpty(userList.content)}">
				<div class="mx-auto flex w-full max-w-sm flex-col justify-center px-6 py-20">
					<div class="flex w-fit items-center justify-center rounded-lg bg-surface-container-higher p-3">
						<svg
							xmlns="http://www.w3.org/2000/svg"
							fill="none"
							viewBox="0 0 24 24"
							stroke-width="1.5"
							stroke="currentColor"
							class="size-6 text-on-surface-lower"
						>
							<path
								stroke-linecap="round"
								stroke-linejoin="round"
								d="M12 7.5h1.5m-1.5 3h1.5m-7.5 3h7.5m-7.5 3h7.5m3-9h3.375c.621 0 1.125.504 1.125 1.125V18a2.25 2.25 0 0 1-2.25 2.25M16.5 7.5V18a2.25 2.25 0 0 0 2.25 2.25M16.5 7.5V4.875c0-.621-.504-1.125-1.125-1.125H4.125C3.504 3.75 3 4.254 3 4.875V18a2.25 2.25 0 0 0 2.25 2.25h13.5M6 7.5h3v3H6v-3Z"
							></path>
						</svg>
					</div>

					<h2 class="mt-5 font-semibold text-on-surface-higher">Records Not Found</h2>
					<p class="text-sm text-gray-600 dark:text-neutral-400">No user data found.</p>

					<div class="mt-5">
						<a
							href="/user/create"
							class="inline-flex items-center gap-x-2 rounded-default bg-primary px-3 py-2.5 text-sm font-semibold text-on-primary hover:bg-primary-higher focus:bg-primary-higher focus:outline-none focus-visible:ring-2 focus-visible:ring-primary-outline-lower disabled:cursor-not-allowed disabled:bg-primary-lowest disabled:text-on-primary/50"
						>
							<svg
								xmlns="http://www.w3.org/2000/svg"
								fill="none"
								viewBox="0 0 24 24"
								stroke-width="1.5"
								stroke="currentColor"
								class="size-4"
							>
								<path stroke-linecap="round" stroke-linejoin="round" d="M12 4.5v15m7.5-7.5h-15"></path>
							</svg>
							Add User
						</a>
					</div>
				</div>
			</div>
		</div>
	</body>
</html>
